# DXGfxLib.Event Class Reference

Events are very brute. They are only three strings, a time value (the time at which we should fire them) and a boolean stating whether they have been fired or not. This is brute but pretty flexible as you can put pretty much everything in strings, even source code that has to be compiled... everything. Obviously this class will be derived for more specific event types but for the moment this is just the base class, the most generic possible event for this library. More...

List of all members.

## Public Member Functions
| Event ()
| Default constructor.
| Event (string name, float timeOffset, string type, string value, bool fired)
| This constructor sets all the Event member values.
void | Reset ()
| When we stop the simulation we should reset all our events so when we hit Start again we can fire them again.
int | CompareTo (Event evt)
| We will certainly want to sort our events based on their time value. THis method does just thaT.
int | CompareTo (Object obj)
| We will certainly want to sort our events based on their time value. THis method does just thaT.
| Event ()
| Default constructor.
| Event (string name, float timeOffset, string type, string value, bool fired)
| This constructor sets all the Event member values.
void | Reset ()
| When we stop the simulation we should reset all our events so when we hit Start again we can fire them again.
int | CompareTo (Event evt)
| We will certainly want to sort our events based on their time value. THis method does just thaT.
int | CompareTo (Object obj)
| We will certainly want to sort our events based on their time value. THis method does just thaT.
## Public Attributes
string | name
| Name of the event.
float | timeOffset
| Time value after which the event should have been fired. These are time offset relatives to the start time of the simulation (when you have hit Play in the Editor or when you have started the scene by code).
string | type
| Let's say we want our events to have type. We can write a type here. This can be used by scripts processing events.
string | value
| A value is an important thing. Let's say Type can be used in scripts to know what kind of reaction there should be to the event, the value can contain parameters for that reaction/behavior.
bool | fired = false
| If this boolean is false, it means we have not fired it yet.

## Detailed Description

Events are very brute. They are only three strings, a time value (the time at which we should fire them) and a boolean stating whether they have been fired or not. This is brute but pretty flexible as you can put pretty much everything in strings, even source code that has to be compiled... everything. Obviously this class will be derived for more specific event types but for the moment this is just the base class, the most generic possible event for this library.

Definition at line 13 of file Event.cs.

## Constructor & Destructor Documentation

DXGfxLib.Event.Event | ( |  | ) |

Default constructor.

Definition at line 41 of file Event.cs.

DXGfxLib.Event.Event | ( | string | name,
|  | float | timeOffset,
|  | string | type,
|  | string | value,
|  | bool | fired |
| ) |  |  |

This constructor sets all the Event member values.

Parameters:

  | name |
  | timeOffset |
  | type |
  | value |
  | fired |

Definition at line 53 of file Event.cs.

DXGfxLib.Event.Event | ( |  | ) |

Default constructor.

Definition at line 41 of file Event.cs.

DXGfxLib.Event.Event | ( | string | name,
|  | float | timeOffset,
|  | string | type,
|  | string | value,
|  | bool | fired |
| ) |  |  |

This constructor sets all the Event member values.

Parameters:

  | name |
  | timeOffset |
  | type |
  | value |
  | fired |

Definition at line 53 of file Event.cs.

## Member Function Documentation

int DXGfxLib.Event.CompareTo | ( | Object | obj | ) |

We will certainly want to sort our events based on their time value. THis method does just thaT.

Parameters:

  | evt |

Returns:

Definition at line 85 of file Event.cs.

Here is the call graph for this function:

int DXGfxLib.Event.CompareTo | ( | Event | evt | ) |

We will certainly want to sort our events based on their time value. THis method does just thaT.

Parameters:

  | evt |

Returns:

Definition at line 75 of file Event.cs.

int DXGfxLib.Event.CompareTo | ( | Object | obj | ) |

We will certainly want to sort our events based on their time value. THis method does just thaT.

Parameters:

  | evt |

Returns:

Definition at line 85 of file Event.cs.

Here is the call graph for this function:

int DXGfxLib.Event.CompareTo | ( | Event | evt | ) |

We will certainly want to sort our events based on their time value. THis method does just thaT.

Parameters:

  | evt |

Returns:

Definition at line 75 of file Event.cs.

Here is the caller graph for this function:

void DXGfxLib.Event.Reset | ( |  | ) |

When we stop the simulation we should reset all our events so when we hit Start again we can fire them again.

Definition at line 65 of file Event.cs.

void DXGfxLib.Event.Reset | ( |  | ) |

When we stop the simulation we should reset all our events so when we hit Start again we can fire them again.

Definition at line 65 of file Event.cs.

Here is the caller graph for this function:

## Member Data Documentation

bool DXGfxLib.Event::fired = false

If this boolean is false, it means we have not fired it yet.

Definition at line 36 of file Event.cs.

string DXGfxLib.Event::name

Name of the event.

Definition at line 18 of file Event.cs.

float DXGfxLib.Event::timeOffset

Time value after which the event should have been fired. These are time offset relatives to the start time of the simulation (when you have hit Play in the Editor or when you have started the scene by code).

Definition at line 23 of file Event.cs.

string DXGfxLib.Event::type

Let's say we want our events to have type. We can write a type here. This can be used by scripts processing events.

Definition at line 27 of file Event.cs.

string DXGfxLib.Event::value

A value is an important thing. Let's say Type can be used in scripts to know what kind of reaction there should be to the event, the value can contain parameters for that reaction/behavior.

Definition at line 32 of file Event.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXGfxLib/Event.cs
- D:/guillaume/guillara/3D/DXGfx/DXGfxLib/Event.cs